Bug 6633 - Self Checkout Return Item button disappeared Renew Item button doesn't work
Summary: Self Checkout Return Item button disappeared Renew Item button doesn't work
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low normal (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-26 17:26 UTC by librarian
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screen dump Self Checkout bug (104.73 KB, image/png)
2011-07-26 17:26 UTC, librarian
Details
Proposed Patch (2.89 KB, patch)
2011-09-27 18:12 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6633: SCO return button doesn't work (2.96 KB, patch)
2011-09-29 16:18 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description librarian 2011-07-26 17:26:51 UTC
Created attachment 4742 [details]
Screen dump Self Checkout bug

Release 3.4.2 Self Checkout
The Return Item button does not display next to the list of book currently checked out.
The Renew Item button returns the user to the Self Checkout login page without renewing the item.
I posted this fault in the forum here: http://koha.1045719.n5.nabble.com/Self-Checkout-System-Return-Items-td4623842.html and it was suggested I logged a fault.
Comment 1 Ian Walls 2011-07-26 18:29:05 UTC
Looks like a Template::Toolkit issue...
Comment 2 Ian Walls 2011-09-27 18:12:29 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-09-29 16:18:15 UTC
Created attachment 5643 [details] [review]
[SIGNED-OFF] Bug 6633: SCO return button doesn't work

A template toolkit scope issue was preventing the Renew button from working properly, as well as displaying
the fines column even if no fines column header was displaying.

This patch adjusts the scope of several T:T variables on the sco-main template to fix this

Signed-off-by: Ian Walls <ian.walls@bywatersolutions.com>
Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 4 Ian Walls 2011-09-29 17:40:03 UTC
Template only change adjusting scope; marking as Passed QA (unless anyone objects)
Comment 5 Chris Cormack 2011-09-29 20:33:34 UTC
Pushed please test